#include "DummyLedPkg.h"

DummyLedPkg::DummyLedPkg(int a, byte colore, bool ack) : TelepatiPkg(){
  type=DUMMYLED;
  aibo=a;
  color=colore;
  needAck=ack;
}

DummyLedPkg::DummyLedPkg(byte* ptr) : TelepatiPkg(ptr){
  color=ptr[STD_HEADER_SIZE];
}


DummyLedPkg::~DummyLedPkg(){
}


TelepatiPkg* DummyLedPkg::clone(){
  DummyLedPkg* clone=new DummyLedPkg(aibo, color, needAck);
  clone->serialNum=serialNum;
  return clone;
}


byte* DummyLedPkg::getMsg(){
  delete [] message;
  message=createStdHeader(1);
  message[STD_HEADER_SIZE]=color;
  return message;
}
